-- Deploy camper:remove_surroundings_highlight to pg
-- requires: roles
-- requires: schema_camper
-- requires: surroundings_highlight
-- requires: surroundings_highlight_i18n

begin;

set search_path to camper, public;

create or replace function remove_surroundings_highlight(highlight_id integer) returns void as
$$
	delete from surroundings_highlight_i18n where surroundings_highlight_id = highlight_id;
	delete from surroundings_highlight where surroundings_highlight_id = highlight_id;
$$
	language sql
;

revoke execute on function remove_surroundings_highlight(integer) from public;
grant execute on function remove_surroundings_highlight(integer) to admin;

commit;
